program another_test

   include "mpif.h"
   include "omp_lib.h"

   integer :: mpi_id, omp_id, ierror

   call mpi_init(ierror)
   call mpi_comm_rank(mpi_comm_world, mpi_id, ierror)

!$omp parallel private(omp_id)
   omp_id = omp_get_thread_num()
   print '(a26, i3, a8, i3)', 'Hello World! I am process ', mpi_id, ' thread ', omp_id
!$omp end parallel

   call mpi_finalize(ierror)

end program another_test
